package com.lovecoding.day21.ex01;

import org.junit.Test;

import java.io.File;

public class TestFile02 {
    //第2 题 递归删除非空目录
    //
    @Test
    public void test01(){
        deletePathLength(new File("aaa"));
    }

    //删除
    public void deletePathLength(File dir){
        //是文件夹
        if (dir != null && dir.isDirectory()){
            //遍历
            File[] files = dir.listFiles();
            //判断
            if (files != null){
                for (File file : files) {
                    deletePathLength(file);
                }
            }
            //删除文件夹
            dir.delete();
        }else if (dir.isFile()){
            //删除文件
            dir.delete();
        }
    }
}
